Imports Syncfusion.Windows.Forms.Grid

Public Class Form1

	Private MyGridModel As GridModel

	Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
		MyBase.OnLoad(e)
		MyGridModel = Me.GridControl1.Model
		GridFormulaCellRenderer.ForceEditWhenActivated = False

		MyGridModel.Options.ActivateCurrentCellBehavior = GridCellActivateAction.DblClickOnCell

		Dim style As GridStyleInfo = MyGridModel.Item(3, 3)
		style.CellType = "FormulaCell"
		style.CellValue = "=a1"

	End Sub

	Private Sub GridControl1_PrepareViewStyleInfo(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs) Handles GridControl1.PrepareViewStyleInfo
		Dim style As GridStyleInfo = e.Style

		If Not style.FormulaTag Is Nothing Then
			Dim value As Integer
			If Integer.TryParse(style.FormulaTag.Text, value) = True Then
				style.TextColor = Color.Red
			End If
		End If
	End Sub

    Private Sub GridControl1_SaveCellInfo(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Grid.GridSaveCellInfoEventArgs) Handles GridControl1.SaveCellInfo
        If e.Style.CellType = "FormulaCell" AndAlso e.Style.FormulaTag Is Nothing Or ( _
             e.Style.Text <> Me.GridControl1(e.Style.CellIdentity.RowIndex, e.Style.CellIdentity.ColIndex).Text) Then
            Me.GridControl1.RefreshRange(GridRangeInfo.Cell(e.Style.CellIdentity.RowIndex, e.Style.CellIdentity.ColIndex))
        End If
    End Sub
End Class
